
From: Christoph Hellwig <hch@lst.de>

GFP flags must be passed as unisgned int __nocast these days, else we'll
get tons of sparse warnings in every driver.

Signed-off-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ppc/dma-mapping.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/asm-ppc/dma-mapping.h~pcp32-fix-asm-ppc-dma-mappingh-sparse-warning include/asm-ppc/dma-mapping.h
--- devel/include/asm-ppc/dma-mapping.h~pcp32-fix-asm-ppc-dma-mappingh-sparse-warning	2005-08-03 22:17:54.000000000 -0700
+++ devel-akpm/include/asm-ppc/dma-mapping.h	2005-08-03 22:17:54.000000000 -0700
@@ -60,7 +60,8 @@ static inline int dma_set_mask(struct de
 }
 
 static inline void *dma_alloc_coherent(struct device *dev, size_t size,
-				       dma_addr_t * dma_handle, int gfp)
+				       dma_addr_t * dma_handle,
+				       unsigned int __nocast gfp)
 {
 #ifdef CONFIG_NOT_COHERENT_CACHE
 	return __dma_alloc_coherent(size, dma_handle, gfp);
_
